> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.optionset.md).

# OptionSet

Struct in [Yarn](/api/csharp/yarn.md)

Inherits from `System.ValueType`

## Summary

A set of [Option](/api/csharp/yarn/yarn.optionset/yarn.optionset.option.md) s, sent from the [Dialogue](/api/csharp/yarn/yarn.dialogue.md) to the game.

```csharp
public struct OptionSet
```

## Remarks

You typically do not create instances of this struct yourself. They are created by the [Dialogue](/api/csharp/yarn/yarn.dialogue.md) during program execution.

## Properties

| Name                                                                 | Description                                                                                                         |
| -------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| [Options](/api/csharp/yarn/yarn.optionset/yarn.optionset.options.md) | Gets the [Option](/api/csharp/yarn/yarn.optionset/yarn.optionset.option.md) s that should be presented to the user. |

## Structs

| Name                                                               | Description                            |
| ------------------------------------------------------------------ | -------------------------------------- |
| [Option](/api/csharp/yarn/yarn.optionset/yarn.optionset.option.md) | An option to be presented to the user. |

## See Also

* [Dialogue.OptionsHandler](/api/csharp/yarn/yarn.dialogue/yarn.dialogue.optionshandler.md): Gets or sets the [OptionsHandler](/api/csharp/yarn/yarn.optionshandler.md) that is called when a set of options are ready to be shown to the user.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.optionset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
